#include <iostream>
#include <math.h>
using namespace std;

int suma(int x[],int y[], int n)
{
    int sum=0;
    for(int i=0;i<n;i++){
        sum+=abs(x[i]-x[n])*abs(y[i]-y[n]);
    }
    return sum;
}

int main()
{
    int n;cin>>n;
    int x[n],y[n];
    for(int i=0;i<n;i++){
        cin>>x[i]>>y[i];
    }
    for(int i=0;i<n;i++){
        cout<<suma(x,y,i)<<endl;
    }
}